Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class DerivedCircuitBreakerOnMethodOverrideOnClass

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.DerivedCircuitBreakerOnMethodOverrideOnClass

All Implemented Interfaces:
  `CircuitBreakerLifecycleService`

@Dependent @CircuitBreaker(requestVolumeThreshold=4) @Typed(DerivedCircuitBreakerOnMethodOverrideOnClass.class) public class DerivedCircuitBreakerOnMethodOverrideOnClass extends BaseCircuitBreakerOnMethod

## Constructor Summary

Constructors
Constructor
Description
`DerivedCircuitBreakerOnMethodOverrideOnClass()`

## Method Summary

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod

`instanceId, service`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedCircuitBreakerOnMethodOverrideOnClass

public DerivedCircuitBreakerOnMethodOverrideOnClass()